Español

Parche ArcGIS Runtime SDK for Qt 100.11 iOS App Store

Resumen

Este parche resuelve el problema de las aplicaciones iOS que rechaza App Store con ArcGIS Runtime SDK for Qt 100.11. Esri recomienda aplicar este parche a todos los clientes que utilicen ArcGIS Runtime for Qt SDK 100.11.

Descripción

Esri® anuncia el parche ArcGIS Runtime SDK for Qt 100.11 iOS App Store. Esri recomienda aplicar este parche a todos los clientes que utilicen ArcGIS Runtime for Qt SDK 100.11. Trata específicamente los problemas que se enumeran a continuación en Problemas solucionados con este parche.

Problemas solucionados con este parche


  • BUG-000139861: Aplicaciones iOS que rechaza App Store con Runtime SDK for Qt 100.11
  • Más detalles:

    Cuando envíe aplicaciones iOS con 100.11 a iOS App Store, recibirá este mensaje de rechazo que aparentemente no guarda relación:

     ITMS-90426: SwiftSupport no válido - Falta la carpeta SwiftSupport. Reconstruya la aplicación con la versión pública (GM) actual de Xcode y vuelva a enviarla.

    El uso del parche proporcionado soluciona el problema de rechazo y permite que la aplicación pase de nuevo la aprobación de App Store.

    Puede que reciba un nueva advertencia de App Store con este parche, pero solo se trata de una advertencia; la aplicación sigue estando aceptada. Esto se solucionará en la próxima versión. Aquí se ofrece un ejemplo de la advertencia:

    Estimado desarrollador:

    Hemos identificado uno o varios problemas en la aplicación suministrada recientemente, "Nombre de la app". La entrega se ha realizado correctamente, pero es probable que quiera corregir los siguientes problemas en la próxima entrega:

    ITMS-90863: Problema de soporte de Macs con Apple silicon - La aplicación tiene vínculos con bibliotecas que no están presentes en Mac:
    @rpath/libruntimecore.dylib

    Una posible solución alternativa a esta advertencia consiste en deshabilitar Bitcode en su proyecto. Esta advertencia tampoco causará el rechazo de iOS App Store.


Instalación de este parche en macOS

Pasos para la instalación:

El producto ArcGIS que aparece en la tabla debe estar instalado en su sistema para poder instalar un parche. Cada configuración de parche es específica del producto ArcGIS de la lista. Esri recomienda que instale el parche para cada producto que esté instalado en su sistema.

  1. Descargue el archivo en una ubicación distinta de la ubicación de instalación de ArcGIS Runtime SDK for Qt.

  2.    
    Runtime SDK for Qt ArcGIS_Runtime_Qt_SDK_iOS_100_11_0_Patch.zip
    Checksum
         (SHA256)
    15E624372C15D47F2F3E546D8A87C6D51D5FEB00E1E6BE1B159A8B3A324819F2

  3. Haga doble clic en ArcGIS_Runtime_Qt_SDK_iOS_100_11_0_Patch.zip para extraer el archivo zip.

  4. En su proyecto, incluya el nuevo archivo qt_runtime_ios_framework.pri en el archivo .pro del proyecto tras cualquier ArcGIS Runtime includes.

  5. Por ejemplo:

     # Existing Runtime includes. Estos no cambian. ARCGIS_RUNTIME_VERSION = 100.11 include($$PWD/arcgisruntime.pri) # Add this additional include. La ruta variará dependiendo de dónde lo descargue. include(/Users/QtSdkUser/qt_ios_patch_100.11/qt_runtime_ios_framework.pri)

Actualizaciones de parches

Compruebe la página Parches y Service Packs periódicamente para ver si hay parches adicionales disponibles. La información más reciente sobre este parche se publicará aquí.

Obtener ayuda

Para los sitios nacionales, póngase en contacto con Soporte técnico de Esri al 1-888-377-4575, si tiene alguna dificultad en instalar este parche. Para los sitios internacionales, póngase en contacto con su distribuidor de software Esri local.